Bug 1049037 - subscription-manager-migration should require subscription-manager-migration-data
Summary: subscription-manager-migration should require subscription-manager-migration-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Alex Wood
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2014-01-06 20:34 UTC by John Sefler
Modified: 2018-12-09 17:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
no documentation required
Clone Of:
Environment:
Last Closed: 2014-10-14 07:46:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1384 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2014-10-14 01:27:50 UTC

Description John Sefler 2014-01-06 20:34:10 UTC
Description of problem:
This bug was originally reported as bug 811779 but the implemented solution proposed in https://bugzilla.redhat.com/show_bug.cgi?id=811779#c2 was lame.  Robert Scheck's solution in https://bugzilla.redhat.com/show_bug.cgi?id=811779#c12 is much better.  Let's use this bug to get it right this time.

subscription-manager-migration should require subscription-manager-migration-data on rhel systems.

Comment 1 John Sefler 2014-01-27 18:28:52 UTC
commit 8e988551fae03a51a72dd8852066ff9b204d982c

    1049037: Add conditional requires on migration data package.

Comment 3 Shwetha Kallesh 2014-06-28 19:42:26 UTC
When I try installing subscripion-manager migration without subscription-manager migration-data being installed it fails,after installing migration-data, subscription-manager migration installs successfully,hence marking verified

[root@dhcp-0-177 ~]# rpm -q subscription-manager
subscription-manager-1.12.4-1.el6.x86_64
[root@dhcp-0-177 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.8-1.el6.noarch

[root@dhcp-0-177 ~]# rpm -q subscription-manager-migration-data --requires | grep subscription
[root@dhcp-0-177 ~]# rpm -q subscription-manager-migration --requires | grep subscription
subscription-manager = 1.12.4-1.el6
subscription-manager-migration-data


[root@dhcp-0-177 ~]# yum install subscription-manager-migration-1.12.4-1.el6.x86_64.rpm 
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
Setting up Install Process
Examining subscription-manager-migration-1.12.4-1.el6.x86_64.rpm: subscription-manager-migration-1.12.4-1.el6.x86_64
Marking subscription-manager-migration-1.12.4-1.el6.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package subscription-manager-migration.x86_64 0:1.12.4-1.el6 will be installed
--> Processing Dependency: subscription-manager-migration-data for package: subscription-manager-migration-1.12.4-1.el6.x86_64
--> Finished Dependency Resolution
Error: Package: subscription-manager-migration-1.12.4-1.el6.x86_64 (/subscription-manager-migration-1.12.4-1.el6.x86_64)
           Requires: subscription-manager-migration-data
 You could try using --skip-broken to work around the problem
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
1:libguestfs-1.20.11-4.el6.x86_64 has missing requires of /lib64/libldif-2.4.so.2

Comment 4 errata-xmlrpc 2014-10-14 07:46:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1384.html


Note You need to log in before you can comment on or make changes to this bug.